## org.apache.mahout.ep
Class ThreadedEvolutionaryProcess

    java.lang.Object
      org.apache.mahout.ep.ThreadedEvolutionaryProcess

    public class ThreadedEvolutionaryProcess

extends java.lang.Object

Implements threaded optimization of an objective function. The evolving population is updated incrementally as results are received. One useful feature is that the optimization is inherently time-bounded which is useful for some scheduled operations.

Nested Class Summary
`class` `ThreadedEvolutionaryProcess.EvalTask`
`static interface` `ThreadedEvolutionaryProcess.Function`

Constructor Summary
`ThreadedEvolutionaryProcess(int threadCount)`

Method Summary
`State<?>` `optimize(ThreadedEvolutionaryProcess.Function f, int dim, long timeLimit, int parentDepth)`
`void` `setMap(int i, Mapping m)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ThreadedEvolutionaryProcess

    public ThreadedEvolutionaryProcess(int threadCount)

Method Detail

### setMap

    public void setMap(int i,
                       Mapping m)

### optimize

    public State<?> optimize(ThreadedEvolutionaryProcess.Function f,
                             int dim,
                             long timeLimit,
                             int parentDepth)
                      throws java.lang.InterruptedException,
                             java.util.concurrent.ExecutionException

  Throws:
    `java.lang.InterruptedException`
    `java.util.concurrent.ExecutionException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.